/*
 *  Breeze  --  An application launcher with command-line style
 *  Copyright (C) 2005, 2006, 2008 Hironao Komatsu
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef MAINWIN_H_INCLUDED
#define MAINWIN_H_INCLUDED

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define TYPE_MAIN_WIN (main_win_get_type())
#define MAIN_WIN(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), TYPE_MAIN_WIN, MainWin))
#define MAIN_WIN_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), TYPE_MAIN_WIN, MainWinClass))
#define IS_MAIN_WIN(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), TYPE_MAIN_WIN))
#define IS_MAIN_WIN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), TYPE_MAIN_WIN))
#define MAIN_WIN_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj), TYPE_MAIN_WIN, MainWinClass))

typedef struct _MainWin MainWin;
struct _MainWin {
  GtkWindow parent;
  GtkWidget *entry;
  GtkEntryCompletion *completion;
};

typedef struct _MainWinClass MainWinClass;
struct _MainWinClass {
  GtkWindowClass parent;
};

GType main_win_get_type(void);

GtkWidget *main_win_new(void);
gint main_win_run(MainWin *self, guint32 timestamp);

G_END_DECLS

#endif
